## r-cran-randomfieldsutils 0.3.15

=== DESCRIPTION ===
Package: RandomFieldsUtils
Version: 0.3.15
Title: Utilities for the Simulation and Analysis of Random Fields
Author: Martin Schlather [aut, cre], Reinhard Furrer [ctb], Martin Kroll [ctb]
Maintainer: Martin Schlather <schlather@math.uni-mannheim.de>
Depends: R (>= 3.0)
Imports: utils
Description: Various utilities are provided that might be used in spatial statistics and elsewhere. It delivers a method for solving linear equations that checks the sparsity of the matrix before any algorithm is used. Furthermore, it includes the Struve functions.
License: GPL (>= 3)
URL: http://ms.math.uni-mannheim.de/de/publications/software
Packaged: 2016-12-25 17:26:23 UTC; schlather
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2016-12-25 23:37:18

=== debian/changelog ===
r-cran-randomfieldsutils (0.3.15-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sun, 08 Jan 2017 08:36:51 +0100

r-cran-randomfieldsutils (0.3.3.1-1) unstable; urgency=medium

  * Initial release (closes: #843587)

 -- Andreas Tille <tille@debian.org>  Mon, 07 Nov 2016 23:07:11 +0100

=== debian/control ===
Source: r-cran-randomfieldsutils
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-randomfieldsutils/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-randomfieldsutils/trunk/
Homepage: https://cran.r-project.org/package=RandomFieldsUtils

Package: r-cran-randomfieldsutils
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: utilities for the simulation and analysis of random fields
 Various utilities are provided that might be used in spatial statistics
 and elsewhere. It delivers a method for solving linear equations that
 checks the sparsity of the matrix before any algorithm is used.
 Furthermore, it includes the Struve functions.

## r-cran-randomfieldsutils 0.3.25

=== DESCRIPTION ===
Package: RandomFieldsUtils
Version: 0.3.25
Title: Utilities for the Simulation and Analysis of Random Fields
Author: Martin Schlather [aut, cre], Reinhard Furrer [ctb], Martin Kroll [ctb]
Maintainer: Martin Schlather <schlather@math.uni-mannheim.de>
Depends: R (>= 3.3)
Imports: utils
Description: Various utilities are provided that might be used in spatial statistics and elsewhere. It delivers a method for solving linear equations that checks the sparsity of the matrix before any algorithm is used. Furthermore, it includes the Struve functions.
License: GPL (>= 3)
URL: http://ms.math.uni-mannheim.de/de/publications/software
Packaged: 2017-04-14 06:09:19 UTC; schlather
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2017-04-14 15:07:28 UTC

=== debian/changelog ===
r-cran-randomfieldsutils (0.3.25-2) unstable; urgency=medium

  * Team upload.
  * Move packaging from SVN to Git.
  * Bump to Standards-Version 4.1.1.
  * Add Testsuite: autopkgtest-pkg-r.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 16 Nov 2017 21:08:19 +0100

r-cran-randomfieldsutils (0.3.25-1) unstable; urgency=medium

  * New upstream version
    Closes: #868922
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 14:28:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-randomfieldsutils/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-randomfieldsutils/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-randomfieldsutils.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-randomfieldsutils.git
 Homepage: https://cran.r-project.org/package=RandomFieldsUtils
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-randomfieldsutils
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RandomFieldsUtils_([-\d.]*)\.tar\.gz

## r-cran-randomfieldsutils 0.5.3

=== DESCRIPTION ===
Package: RandomFieldsUtils
Version: 0.5.3
Title: Utilities for the Simulation and Analysis of Random Fields
Author: Martin Schlather [aut, cre], Reinhard Furrer [ctb], Martin Kroll [ctb], Brian D. Ripley [ctb]
Maintainer: Martin Schlather <schlather@math.uni-mannheim.de>
Depends: R (>= 3.0)
Imports: utils, methods
Description: Various utilities are provided that might be used in spatial statistics and elsewhere. It delivers a method for solving linear equations that checks the sparsity of the matrix before any algorithm is used. Furthermore, it includes the Struve functions.
License: GPL (>= 3)
URL:
        http://ms.math.uni-mannheim.de/de/publications/software/randomfieldsutils
Packaged: 2019-03-02 22:43:06 UTC; schlather
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2019-03-04 12:00:06 UTC

=== debian/changelog ===
r-cran-randomfieldsutils (0.5.3-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 10:02:03 +0200

r-cran-randomfieldsutils (0.5.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 13:58:58 +0200

r-cran-randomfieldsutils (0.3.25-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jun 2018 23:54:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-randomfieldsutils
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-randomfieldsutils.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-randomfieldsutils.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-randomfieldsutils
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-randomfieldsutils.git
 Homepage: https://cran.r-project.org/package=RandomFieldsUtils
-Testsuite: autopkgtest-pkg-r
+Rules-Requires-Root: no
 
 Package: r-cran-randomfieldsutils
 Architecture: any

## r-cran-randomfieldsutils 1.1.0

=== DESCRIPTION ===
Package: RandomFieldsUtils
Version: 1.1.0
Title: Utilities for the Simulation and Analysis of Random Fields and
        Genetic Data
Author: Martin Schlather [aut, cre], Alexander FreudenBerg [aut], Reinhard Furrer [ctb], Martin Kroll [ctb], Brian D. Ripley [ctb], John W. Ratcliff  et al. (cph)
Maintainer: Martin Schlather <schlather@math.uni-mannheim.de>
Depends: R (>= 3.0)
Imports: utils, methods, parallel
Suggests: spam, RandomFields
Description: Various utilities are provided that might be used in spatial statistics and elsewhere. It delivers a method for solving linear equations that checks the sparsity of the matrix before any algorithm is used.
Copyright: MIT licence on sse2neon.H
License: GPL (>= 3)
URL:
Packaged: 2022-01-16 16:47:39 UTC; schlather
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2022-01-18 16:22:43 UTC

=== debian/changelog ===
r-cran-randomfieldsutils (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 21:33:54 +0100

r-cran-randomfieldsutils (1.0.11-3) unstable; urgency=medium

  * Argh, rather exclude those architectures that build nicely without
    extra options
  * Hack in the wanted SERVER_FLAG

 -- Andreas Tille <tille@debian.org>  Tue, 30 Nov 2021 11:32:23 +0100

r-cran-randomfieldsutils (1.0.11-2) unstable; urgency=medium

  * Enable linking on arm64, armel, armhf, mips64el, mipsel, ppc64el and s390x

 -- Andreas Tille <tille@debian.org>  Tue, 30 Nov 2021 09:15:32 +0100

r-cran-randomfieldsutils (1.0.11-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.11

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Nov 2021 18:10:33 +0530

r-cran-randomfieldsutils (0.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.6

 -- Nilesh Patra <nilesh@debian.org>  Wed, 27 Oct 2021 01:48:24 +0530

r-cran-randomfieldsutils (0.5.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Archive, Contact.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Sep 2021 06:45:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
+               r-base-dev,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-randomfieldsutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-randomfieldsutils.git
 Homepage: https://cran.r-project.org/package=RandomFieldsUtils

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

ifeq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x82))
override_dh_auto_configure:
	# Enable linking on arm64, armel, armhf, mips64el, mipsel, ppc64el and s390x and others
	dh_auto_configure -- --configure-args=-DREQUIRED_SIMD=0
	# seems that the means above do not work ... may be since configure is called later again.
	# so just hack in the wanted SERVER_FLAG
	sed -i 's/^\(MY_PKG_FLAGS.*\)$${SERVER_FLAG}/\1-DREQUIRED_SIMD=0/' configure
endif

## r-cran-randomfieldsutils 1.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RandomFieldsUtils
-Version: 1.1.0
+Version: 1.2.5
 Title: Utilities for the Simulation and Analysis of Random Fields and
         Genetic Data
 Author: Martin Schlather [aut, cre], Alexander FreudenBerg [aut], Reinhard Furrer [ctb], Martin Kroll [ctb], Brian D. Ripley [ctb], John W. Ratcliff  et al. (cph)
@@ -11,7 +11,7 @@
 Copyright: MIT licence on sse2neon.H
 License: GPL (>= 3)
 URL:
-Packaged: 2022-01-16 16:47:39 UTC; schlather
+Packaged: 2022-04-18 03:42:38 UTC; schlather
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2022-01-18 16:22:43 UTC
+Date/Publication: 2022-04-19 11:32:32 UTC

=== debian/changelog ===
r-cran-randomfieldsutils (1.2.5-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2022 13:00:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: r-cran-randomfieldsutils
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               debhelper
-Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-randomfieldsutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-randomfieldsutils.git
 Homepage: https://cran.r-project.org/package=RandomFieldsUtils
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-randomfieldsutils
 Architecture: any
